FractionBarStamp = function(canvas, rect, max, value, backgroundPaint, paint)
    value = tonumber(value) or 0
    canvas:setPaint(backgroundPaint):fill(Path.rect(rect))
    rect.right = rect.left + (value / max) * (rect.right - rect.left)
    canvas:setPaint(paint):fill(Path.rect(rect))
end

return FractionBarStamp
